Bug 1233299 - [abrt] calibre: qt_message_fatal(): python2.7 killed by SIGABRT
Summary: [abrt] calibre: qt_message_fatal(): python2.7 killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: calibre
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2235785f89978bd97e7ae7cc4fa...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-18 15:47 UTC by lejeczek
Modified: 2016-07-19 14:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 14:54:27 UTC


Attachments (Terms of Use)
File: backtrace (172.86 KB, text/plain)
2015-06-18 15:47 UTC, lejeczek
no flags Details
File: cgroup (190 bytes, text/plain)
2015-06-18 15:47 UTC, lejeczek
no flags Details
File: core_backtrace (50.33 KB, text/plain)
2015-06-18 15:47 UTC, lejeczek
no flags Details
File: dso_list (26.97 KB, text/plain)
2015-06-18 15:47 UTC, lejeczek
no flags Details
File: environ (3.32 KB, text/plain)
2015-06-18 15:47 UTC, lejeczek
no flags Details
File: limits (1.29 KB, text/plain)
2015-06-18 15:47 UTC, lejeczek
no flags Details
File: maps (132.39 KB, text/plain)
2015-06-18 15:47 UTC, lejeczek
no flags Details
File: mountinfo (3.38 KB, text/plain)
2015-06-18 15:47 UTC, lejeczek
no flags Details
File: namespaces (85 bytes, text/plain)
2015-06-18 15:47 UTC, lejeczek
no flags Details
File: open_fds (1.68 KB, text/plain)
2015-06-18 15:47 UTC, lejeczek
no flags Details
File: proc_pid_status (954 bytes, text/plain)
2015-06-18 15:47 UTC, lejeczek
no flags Details

Description lejeczek 2015-06-18 15:47:43 UTC
Version-Release number of selected component:
calibre-2.27.0-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        python2 /usr/bin/calibre
crash_function: qt_message_fatal
executable:     /usr/bin/python2.7
global_pid:     6993
kernel:         4.0.4-303.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Thu 2015-06-18 13:16:04 BST, end at Thu 2015-06-18 16:08:31 BST. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 qt_message_fatal at global/qlogging.cpp:1422
 #3 QMessageLogger::fatal at global/qlogging.cpp:643
 #4 QObjectPrivate::QObjectPrivate at kernel/qobject.cpp:198
 #5 QSensorPrivate at /usr/src/debug/qtsensors-opensource-src-5.4.1/src/sensors/qsensor_p.h:79
 #6 QRotationSensorPrivate at /usr/src/debug/qtsensors-opensource-src-5.4.1/src/sensors/qrotationsensor_p.h:71
 #7 QRotationSensor::QRotationSensor at /usr/src/debug/qtsensors-opensource-src-5.4.1/src/sensors/qrotationsensor.cpp:204
 #8 WebCore::DeviceOrientationProviderQt::DeviceOrientationProviderQt at /usr/src/debug/qtwebkit-opensource-src-5.4.1/Source/WebCore/platform/qt/DeviceOrientationProviderQt.cpp:26
 #9 WebCore::DeviceOrientationClientQt::setController at /usr/src/debug/qtwebkit-opensource-src-5.4.1/Source/WebCore/platform/qt/DeviceOrientationClientQt.cpp:36
 #10 create at /usr/src/debug/qtwebkit-opensource-src-5.4.1/Source/WebCore/dom/DeviceOrientationController.cpp:47
 #11 WebCore::provideDeviceOrientationTo at /usr/src/debug/qtwebkit-opensource-src-5.4.1/Source/WebCore/dom/DeviceOrientationController.cpp:90

Comment 1 lejeczek 2015-06-18 15:47:46 UTC
Created attachment 1040541 [details]
File: backtrace

Comment 2 lejeczek 2015-06-18 15:47:48 UTC
Created attachment 1040542 [details]
File: cgroup

Comment 3 lejeczek 2015-06-18 15:47:49 UTC
Created attachment 1040543 [details]
File: core_backtrace

Comment 4 lejeczek 2015-06-18 15:47:50 UTC
Created attachment 1040544 [details]
File: dso_list

Comment 5 lejeczek 2015-06-18 15:47:52 UTC
Created attachment 1040545 [details]
File: environ

Comment 6 lejeczek 2015-06-18 15:47:53 UTC
Created attachment 1040546 [details]
File: limits

Comment 7 lejeczek 2015-06-18 15:47:54 UTC
Created attachment 1040547 [details]
File: maps

Comment 8 lejeczek 2015-06-18 15:47:56 UTC
Created attachment 1040548 [details]
File: mountinfo

Comment 9 lejeczek 2015-06-18 15:47:57 UTC
Created attachment 1040549 [details]
File: namespaces

Comment 10 lejeczek 2015-06-18 15:47:58 UTC
Created attachment 1040550 [details]
File: open_fds

Comment 11 lejeczek 2015-06-18 15:47:59 UTC
Created attachment 1040551 [details]
File: proc_pid_status

Comment 12 Kevin Fenzi 2015-06-18 16:37:07 UTC
What were you doing when this happened?

Can you duplicate it?

Comment 13 lejeczek 2015-06-18 17:33:21 UTC
trying to run it,

Cannot mix incompatible Qt library (version 0x50401) with this library (version 0x50402)
Aborted (core dumped)

Comment 14 Kevin Fenzi 2015-06-18 17:58:01 UTC
Do you have hipchat or viper installed?

https://fedoraproject.org/wiki/Common_F22_bugs#third-party-rpms-bundle-qt5

Comment 15 Rex Dieter 2015-06-18 18:21:46 UTC
I've a hunch this python-qt5 update should fix it:
https://admin.fedoraproject.org/updates/FEDORA-2015-9596

Comment 16 Fedora Update System 2015-06-18 18:24:27 UTC
sip-4.16.7-2.fc22, PyQt4-4.11.3-5.fc22, pykde4-4.14.3-5.fc22, python-qt5-5.4.1-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-9596/sip-4.16.7-2.fc22,PyQt4-4.11.3-5.fc22,pykde4-4.14.3-5.fc22,python-qt5-5.4.1-5.fc22

Comment 17 lejeczek 2015-06-18 18:35:53 UTC
yes, viper.
I'll try updates.

Comment 18 Rex Dieter 2015-06-18 18:37:28 UTC
consider removing viber (temporarily) to see if that helps

Comment 19 Fedora Update System 2015-06-21 00:17:16 UTC
sip-4.16.7-2.fc22, PyQt4-4.11.3-5.fc22, pykde4-4.14.3-5.fc22, python-qt5-5.4.1-5.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora End Of Life 2016-07-19 14:54:27 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.